Subject: FIQ support on ARM-Linux

From: umesh <[email-masked]>
Date: Tue, 20 Jun 2000 19:37:11 +0530

Hi,

Is there any support for FIQ on ARM-Linux?
I know that IRQs are supported and I can put my IRQ handler in proper
place.
But I am not able to do this for FIQ. Has anybody done this? If yes,
how?

I apologize if this is not the right mailing list to ask this
question.....

Umesh Puranik

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
++        Please use [email-masked] for           ++
++                        kernel-related discussions.                      ++

---

From: "Jacky Lam" <[email-masked]>
Date: Fri, 30 Jun 2000 09:17:45 +0800

Yes, I have taken fiq.c as an example to write DAI driver. However, when I
enable the device, unmask the interrupt. The device fiq routine is called
'VERY' frequently and the machine halts nearly. Of course, I have tried fill
in the FIFO data queue in the fiq routine to prevent it to generate anymore
'empty' or 'half-empty' interrupt. But the data queue consumes too
quickly.....

Do you have such experience?

Anyway, thx for your reply. The DAI driver source will be opened if I can
finished it. :)

Jacky Lam

-----Original Message-----
From: Hugo Fiennes <[email-masked]>
To: Jacky Lam <[email-masked]>; Kong Gang Feng <[email-masked]>;
umesh <[email-masked]>; [email-masked]
<[email-masked]>
Cc: [email-masked] <[email-masked]>
Date: Wednesday, June 28, 2000 11:16 PM
Subject: Re: FIQ support on ARM-Linux

>> I also have this trouble before while I am trying to implement some
>drivers
>> using FIQ. It seems that the overhead of FIQ is too large and called so
>> freqently that the kenrel cannot handle it.
>
>I assume you mean the IRQ overhead is too large?
>
>We use FIQs in various empeg units, both for sound buffer filling (on the
>Cirrus 7212) and things like USB/consumer IR. It all works fine, you just
>have to make sure the source is enabled & unmasked & the registers are
setup
>correctly.
>
>The acorn floppy driver is a good example of fiq usage - if you've not done
>fiq code before it's worth reading the ARM architecture ref manual about
fiq
>code so you're aware of the restrictions/things to look out for.
>
>Hugo
>empeg
>
>
>